Index: nsview/sansview.py
===================================================================
--- sansview/sansview.py	(revision 815da17b800ef189dfbaf8169b71b901688593a0)
+++ 	(revision )
@@ -1,96 +1,0 @@
-
-################################################################################
-#This software was developed by the University of Tennessee as part of the
-#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#project funded by the US National Science Foundation. 
-#
-#See the license text in license.txt
-#
-#copyright 2009, University of Tennessee
-################################################################################
-
-import wx
-import os
-import sys
-# The below will make sure that sansview application uses the matplotlib font 
-# bundled with sansview. 
-if hasattr(sys, 'frozen'):
-    mplconfigdir = os.path.join(sys.prefix, '.matplotlib')
-    if not os.path.exists(mplconfigdir):
-        os.mkdir(mplconfigdir)
-    os.environ['MPLCONFIGDIR'] = mplconfigdir
-
-from sans.guiframe import gui_manager
-from sans.guiframe.gui_style import GUIFRAME
-from welcome_panel import WelcomePanel
-# For py2exe, import config here
-import local_config
-import logging
-
-
-class SansViewApp(gui_manager.ViewApp):
-    """
-    """
-  
-
-class SansView():
-    """
-    """
-    def __init__(self):
-        """
-        """
-        #from gui_manager import ViewApp
-        self.gui = SansViewApp(0) 
-        # Set the application manager for the GUI
-        self.gui.set_manager(self)
-        # Add perspectives to the basic application
-        # Additional perspectives can still be loaded
-        # dynamically
-        # Note: py2exe can't find dynamically loaded
-        # modules. We load the fitting module here
-        # to ensure a complete Windows executable build.
-
-        # Fitting perspective
-        import sans.perspectives.fitting as module    
-        fitting_plug = module.Plugin()
-        self.gui.add_perspective(fitting_plug)
-
-        # P(r) perspective
-        try:
-            import sans.perspectives.pr as module    
-            pr_plug = module.Plugin(standalone=False)
-            self.gui.add_perspective(pr_plug)
-        except:
-            logging.error("SansView: could not find P(r) plug-in module") 
-            logging.error(sys.exc_value)  
-        
-        #Invariant perspective
-        try:
-            import sans.perspectives.invariant as module    
-            invariant_plug = module.Plugin(standalone=False)
-            self.gui.add_perspective(invariant_plug)
-        except:
-            logging.error("SansView: could not find Invariant plug-in module") 
-            logging.error(sys.exc_value)  
-        
-        #Calculator perspective   
-        try:
-            import sans.perspectives.calculator as module    
-            calculator_plug = module.Plugin(standalone=False)
-            self.gui.add_perspective(calculator_plug)
-        except:
-            logging.error("SansView: could not find Calculator plug-in module")
-            logging.error(sys.exc_value)  
-   
-        # Add welcome page
-        self.gui.set_welcome_panel(WelcomePanel)
-      
-        # Build the GUI
-        self.gui.build_gui()
-        
-        # Start the main loop
-        self.gui.MainLoop()  
-       
-
-if __name__ == "__main__": 
-    sansview = SansView()
Index: sansview/scripts/sansview.py
===================================================================
--- sansview/scripts/sansview.py	(revision c9a7ce9c2865aae19325d44ef8d580e37fbad108)
+++ sansview/scripts/sansview.py	(revision c9a7ce9c2865aae19325d44ef8d580e37fbad108)
@@ -0,0 +1,96 @@
+
+################################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#
+#See the license text in license.txt
+#
+#copyright 2009, University of Tennessee
+################################################################################
+
+import wx
+import os
+import sys
+# The below will make sure that sansview application uses the matplotlib font 
+# bundled with sansview. 
+if hasattr(sys, 'frozen'):
+    mplconfigdir = os.path.join(sys.prefix, '.matplotlib')
+    if not os.path.exists(mplconfigdir):
+        os.mkdir(mplconfigdir)
+    os.environ['MPLCONFIGDIR'] = mplconfigdir
+
+from sans.guiframe import gui_manager
+from sans.guiframe.gui_style import GUIFRAME
+from welcome_panel import WelcomePanel
+# For py2exe, import config here
+import local_config
+import logging
+
+
+class SansViewApp(gui_manager.ViewApp):
+    """
+    """
+  
+
+class SansView():
+    """
+    """
+    def __init__(self):
+        """
+        """
+        #from gui_manager import ViewApp
+        self.gui = SansViewApp(0) 
+        # Set the application manager for the GUI
+        self.gui.set_manager(self)
+        # Add perspectives to the basic application
+        # Additional perspectives can still be loaded
+        # dynamically
+        # Note: py2exe can't find dynamically loaded
+        # modules. We load the fitting module here
+        # to ensure a complete Windows executable build.
+
+        # Fitting perspective
+        import sans.perspectives.fitting as module    
+        fitting_plug = module.Plugin()
+        self.gui.add_perspective(fitting_plug)
+
+        # P(r) perspective
+        try:
+            import sans.perspectives.pr as module    
+            pr_plug = module.Plugin(standalone=False)
+            self.gui.add_perspective(pr_plug)
+        except:
+            logging.error("SansView: could not find P(r) plug-in module") 
+            logging.error(sys.exc_value)  
+        
+        #Invariant perspective
+        try:
+            import sans.perspectives.invariant as module    
+            invariant_plug = module.Plugin(standalone=False)
+            self.gui.add_perspective(invariant_plug)
+        except:
+            logging.error("SansView: could not find Invariant plug-in module") 
+            logging.error(sys.exc_value)  
+        
+        #Calculator perspective   
+        try:
+            import sans.perspectives.calculator as module    
+            calculator_plug = module.Plugin(standalone=False)
+            self.gui.add_perspective(calculator_plug)
+        except:
+            logging.error("SansView: could not find Calculator plug-in module")
+            logging.error(sys.exc_value)  
+   
+        # Add welcome page
+        self.gui.set_welcome_panel(WelcomePanel)
+      
+        # Build the GUI
+        self.gui.build_gui()
+        
+        # Start the main loop
+        self.gui.MainLoop()  
+       
+
+if __name__ == "__main__": 
+    sansview = SansView()
